Skip to main content
`Ctrl`+`K`

# STMatMult

Computes the matrix-vector product \(y = T_k x\), where \(T_k\) is the \(k\)-th (transformed) matrix of the spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatMult(ST st,PetscInt k,Vec x,Vec y)

Neighbor-wise Collective

## Input Parameters

- st - the spectral transformation context

- k - index of matrix to use

- x - the vector to be multiplied

## Output Parameter

- y - the result

## See Also

ST: Spectral Transformation, `STMatMultTranspose()`, `STMatMultHermitianTranspose()`, `STGetMatrixTransformed()`

## Level

developer

## Location

src/sys/classes/st/interface/stsles.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages